diff -BbuprN tbamud-3.55/src/quest.h tbamud-3.55+quests/src/quest.h
--- tbamud-3.55/src/quest.h	1970-01-01 00:00:00.000000000 +0000
+++ tbamud-3.55+quests/src/quest.h	2008-01-31 11:56:26.881922000 +0000
@@ -0,0 +1,142 @@
+/* ***********************************************************************
+*    File:   quest.h                                  Part of CircleMUD  *
+* Version:   2.1 (December 2005) Written for CircleMud CWG / Suntzu      *
+* Purpose:   To provide special quest-related code.                      *
+* Copyright: Kenneth Ray                                                 *
+* Original Version Details:                                              *
+* Morgaelin - quest.h						         *
+* Copyright (C) 1997 MS                                                  *
+*********************************************************************** */
+
+/* Aquest related defines ********************************************* */
+#define AQ_UNDEFINED       -1   /* (R) Quest unavailable                */
+#define AQ_OBJ_FIND         0   /* Player must retreive object          */
+#define AQ_ROOM_FIND        1   /* Player must reach room               */
+#define AQ_MOB_FIND         2   /* Player must find mob                 */
+#define AQ_MOB_KILL         3   /* Player must kill mob                 */
+#define AQ_MOB_SAVE         4   /* Player must save mob                 */
+#define AQ_OBJ_RETURN       5   /* Player gives object to mob in val5   */
+#define AQ_ROOM_CLEAR       6   /* Player must clear room of all mobs   */
+#define NUM_AQ_TYPES        7   /* Used in qedit functions              */
+
+#define MAX_QUEST_NAME     40   /* Length of quest name                 */
+#define MAX_QUEST_DESC     75   /* Length of quest description          */
+#define MAX_QUEST_MSG    2048   /* Length of quest message strings      */
+
+#define SCMD_QUEST_LIST     0   /* List quests available at questmaster */
+#define SCMD_QUEST_HISTORY  1   /* Show history of completed quests     */
+#define SCMD_QUEST_JOIN     2   /* Join a quest at a questmaster        */
+#define SCMD_QUEST_LEAVE    3   /* Leave a quest                        */
+#define SCMD_QUEST_PROGRESS 4   /* Show progress of current quest       */
+#define SCMD_QUEST_STATUS   5   /* Show complete details of a quest     */
+/* AQ Flags (much room for expansion) ********************************* */
+#define AQ_REPEATABLE (1 << 0)  /* Quest can be repeated                */
+#define NUM_AQ_FLAGS        1
+/* Main quest struct ************************************************** */
+struct aq_data {
+  qst_vnum vnum;                /* Virtual nr of the quest              */
+  char     *name;               /* For qlist and the sort               */
+  char     *desc;               /* Description of the quest             */
+  char     *info;               /* Message displayed when accepted      */
+  char     *done;               /* Message displayed when completed     */
+  char     *quit;               /* Message displayed when quit quest    */
+  long     flags;               /* Flags (repeatable, etc               */
+  int      type;                /* Quest type                           */
+  mob_rnum qm;                  /* questmaster offering quest           */
+  int      target;              /* Target value                         */
+  obj_vnum prereq;              /* Object required to undertake quest   */
+  int      value[7];            /* Quest values                         */
+  int      gold_reward;         /* Number of gold coins given as reward */
+  int      exp_reward;          /* Experience points given as a reward  */
+  obj_vnum obj_reward;          /* vnum of object given as a reward     */
+  qst_vnum prev_quest;          /* Link to prev quest, NOTHING is open  */
+  qst_vnum next_quest;          /* Link to next quest, NOTHING is end   */
+  SPECIAL  (*func);             /* secondary spec_proc for the QM       */
+};
+#define QST_NUM(i)             (aquest_table[i].vnum)
+#define QST_NAME(i)            (aquest_table[i].name)
+#define QST_DESC(i)            (aquest_table[i].desc)
+#define QST_INFO(i)            (aquest_table[i].info)
+#define QST_DONE(i)            (aquest_table[i].done)
+#define QST_QUIT(i)            (aquest_table[i].quit)
+#define QST_TYPE(i)            (aquest_table[i].type)
+#define QST_FLAGS(i)           (aquest_table[i].flags)
+#define QST_MASTER(i)          (aquest_table[i].qm)
+#define QST_TARGET(i)          (aquest_table[i].target)
+#define QST_PREREQ(i)          (aquest_table[i].prereq)
+#define QST_POINTS(i)          (aquest_table[i].value[0])
+#define QST_PENALTY(i)         (aquest_table[i].value[1])
+#define QST_MINLEVEL(i)        (aquest_table[i].value[2])
+#define QST_MAXLEVEL(i)        (aquest_table[i].value[3])
+#define QST_TIME(i)            (aquest_table[i].value[4])
+#define QST_RETURNMOB(i)       (aquest_table[i].value[5])
+#define QST_QUANTITY(i)        (aquest_table[i].value[6])
+#define QST_GOLD(i)            (aquest_table[i].gold_reward)
+#define QST_EXP(i)             (aquest_table[i].exp_reward)
+#define QST_OBJ(i)             (aquest_table[i].obj_reward)
+
+#define QST_FUNC(i)            (aquest_table[i].func)
+#define QST_PREV(i)            (aquest_table[i].prev_quest)
+#define QST_NEXT(i)            (aquest_table[i].next_quest)
+/* Quest Functions **************************************************** */
+/* Implemented in quest.c */
+void destroy_quests(void);
+void assign_the_quests(void);
+void parse_quest(FILE *quest_f, int nr);
+int  count_quests(qst_vnum low, qst_vnum high);
+void list_quests(struct char_data *ch, zone_rnum zone, qst_vnum vmin, qst_vnum vmax);
+void set_quest(struct char_data *ch, qst_rnum rnum);
+void clear_quest(struct char_data *ch);
+void generic_complete_quest(struct char_data *ch);
+void autoquest_trigger_check(struct char_data *ch, struct char_data *vict, struct obj_data *object, int type);
+qst_rnum real_quest(qst_vnum vnum);
+int is_complete(struct char_data *ch, qst_vnum vnum);
+qst_vnum find_quest_by_qmnum(struct char_data *ch, mob_rnum qm, int num);
+void add_completed_quest(struct char_data *ch, qst_vnum vnum);
+void remove_completed_quest(struct char_data *ch, qst_vnum vnum);
+void quest_timeout(struct char_data *ch);
+void check_timed_quests(void);
+SPECIAL(questmaster);
+/* Implemented in qedit.c  */
+void qedit_parse(struct descriptor_data *d, char *arg);
+void qedit_string_cleanup(struct descriptor_data *d, int terminator);
+/* Implemented in genqst.c */
+int copy_quest_strings(struct aq_data *from, struct aq_data *to);
+int copy_quest(struct aq_data *from, struct aq_data *to, int free_old_strings);
+void free_quest_strings(struct aq_data *quest);
+void free_quest(struct aq_data *quest);
+int add_quest(struct aq_data *nqst);
+int delete_quest(qst_rnum rnum);
+int save_quests(zone_rnum zone_num);
+/* AQ Global Variables ************************************************ */
+extern struct aq_data *aquest_table; /* all quest definitions (db.c)    */
+extern qst_rnum total_quests;        /* number of quests      (db.c)    */
+extern const char *aq_flags[];       /* names for quest flags (quest.c) */
+extern const char *quest_types[];    /* named for quest types (quest.c) */
+/* Qedit Connectedness ************************************************ */
+#define QEDIT_MAIN_MENU                 0
+#define QEDIT_CONFIRM_SAVESTRING        1
+#define QEDIT_NAME                      2
+#define QEDIT_DESC                      3
+#define QEDIT_INFO                      4
+#define QEDIT_COMPLETE                  5
+#define QEDIT_ABANDON                   6
+#define QEDIT_QUESTMASTER               7
+#define QEDIT_TYPES                     8
+#define QEDIT_FLAGS                     9
+#define QEDIT_TARGET                   10
+#define QEDIT_QUANTITY                 11
+#define QEDIT_POINTSCOMP               12
+#define QEDIT_POINTSQUIT               13
+#define QEDIT_LEVELMIN                 14
+#define QEDIT_LEVELMAX                 15
+#define QEDIT_PREREQ                   16
+#define QEDIT_TIMELIMIT                17
+#define QEDIT_RETURNMOB                18
+#define QEDIT_NEXTQUEST                19
+#define QEDIT_PREVQUEST                20
+#define QEDIT_CONFIRM_DELETE           21
+#define QEDIT_GOLD                     22
+#define QEDIT_EXP                      23
+#define QEDIT_OBJ                      24
+/* ******************************************************************** */
diff -BbuprN tbamud-3.55/src/shop.c tbamud-3.55+quests/src/shop.c
--- tbamud-3.55/src/shop.c	2008-01-16 23:21:14.000000000 +0000
+++ tbamud-3.55+quests/src/shop.c	2008-01-31 12:27:30.772547000 +0000
@@ -503,6 +503,16 @@ void shopping_buy(char *arg, struct char
   if (!(obj = get_purchase_obj(ch, arg, keeper, shop_nr, TRUE)))
     return;
 
+  if (OBJ_FLAGGED(obj, ITEM_QUEST)) {
+    if (GET_OBJ_COST(obj) > GET_QUESTPOINTS(ch) && !IS_GOD(ch)) {
+      char actbuf[MAX_INPUT_LENGTH];
+      snprintf(actbuf, sizeof(actbuf),
+	       "%s You haven't earned enough quest points for such an item.",
+	       GET_NAME(ch));
+      do_tell(keeper, actbuf, cmd_tell, 0);
+      return;
+    }
+  } else { /*has the player got enough gold? */
   if (buy_price(obj, shop_nr, keeper, ch) > GET_GOLD(ch) && !IS_GOD(ch)) {
     char actbuf[MAX_INPUT_LENGTH];
 
@@ -520,6 +530,7 @@ void shopping_buy(char *arg, struct char
       return;
     }
   }
+  }
   if (IS_CARRYING_N(ch) + 1 > CAN_CARRY_N(ch)) {
     send_to_char(ch, "%s: You can't carry any more items.\r\n", fname(obj->name));
     return;
@@ -528,6 +539,32 @@ void shopping_buy(char *arg, struct char
     send_to_char(ch, "%s: You can't carry that much weight.\r\n", fname(obj->name));
     return;
   }
+  if (OBJ_FLAGGED(obj, ITEM_QUEST)) {
+    while (obj &&
+           (GET_QUESTPOINTS(ch) >= GET_OBJ_COST(obj) || IS_GOD(ch))
+	   && IS_CARRYING_N(ch) < CAN_CARRY_N(ch)
+	   && bought < buynum
+	   && IS_CARRYING_W(ch) + GET_OBJ_WEIGHT(obj) <= CAN_CARRY_W(ch)) {
+      bought++;
+      /* Test if producing shop ! */
+      if (shop_producing(obj, shop_nr)) {
+        obj = read_object(GET_OBJ_RNUM(obj), REAL);
+      } else {
+        obj_from_char(obj);
+        SHOP_SORT(shop_nr)--;
+      }
+      obj_to_char(obj, ch);
+
+      goldamt += GET_OBJ_COST(obj);
+      if (!IS_GOD(ch))
+        GET_QUESTPOINTS(ch) -= GET_OBJ_COST(obj);
+
+      last_obj = obj;
+      obj = get_purchase_obj(ch, arg, keeper, shop_nr, FALSE);
+      if (!same_obj(obj, last_obj))
+        break;
+    }
+  } else {
   while (obj && (GET_GOLD(ch) >= buy_price(obj, shop_nr, keeper, ch) || IS_GOD(ch))
 	 && IS_CARRYING_N(ch) < CAN_CARRY_N(ch) && bought < buynum
 	 && IS_CARRYING_W(ch) + GET_OBJ_WEIGHT(obj) <= CAN_CARRY_W(ch)) {
@@ -553,14 +590,19 @@ void shopping_buy(char *arg, struct char
     if (!same_obj(obj, last_obj))
       break;
   }
-
+  }
   if (bought < buynum) {
     char buf[MAX_INPUT_LENGTH];
 
     if (!obj || !same_obj(last_obj, obj))
       snprintf(buf, sizeof(buf), "%s I only have %d to sell you.", GET_NAME(ch), bought);
-    else if (GET_GOLD(ch) < buy_price(obj, shop_nr, keeper, ch))
+    else if (!OBJ_FLAGGED(obj, ITEM_QUEST) &&
+             GET_GOLD(ch) < buy_price(obj, shop_nr, keeper, ch))
       snprintf(buf, sizeof(buf), "%s You can only afford %d.", GET_NAME(ch), bought);
+    else if (OBJ_FLAGGED(obj, ITEM_QUEST) &&
+             GET_QUESTPOINTS(ch) < GET_OBJ_COST(obj))
+      snprintf(buf, sizeof(buf), "%s You only had sufficient quest points for %d.",
+	       GET_NAME(ch), bought);
     else if (IS_CARRYING_N(ch) >= CAN_CARRY_N(ch))
       snprintf(buf, sizeof(buf), "%s You can only hold %d.", GET_NAME(ch), bought);
     else if (IS_CARRYING_W(ch) + GET_OBJ_WEIGHT(obj) > CAN_CARRY_W(ch))
@@ -569,15 +611,25 @@ void shopping_buy(char *arg, struct char
       snprintf(buf, sizeof(buf), "%s Something screwy only gave you %d.", GET_NAME(ch), bought);
     do_tell(keeper, buf, cmd_tell, 0);
   }
-  if (!IS_GOD(ch))
+  if (!IS_GOD(ch) && !OBJ_FLAGGED(obj, ITEM_QUEST)) {
     GET_GOLD(keeper) += goldamt;
+    if (SHOP_USES_BANK(shop_nr))
+      if (GET_GOLD(keeper) > MAX_OUTSIDE_BANK) {
+        SHOP_BANK(shop_nr) += (GET_GOLD(keeper) - MAX_OUTSIDE_BANK);
+        GET_GOLD(keeper) = MAX_OUTSIDE_BANK;
+      }
+  }
 
   strlcpy(tempstr, times_message(ch->carrying, 0, bought), sizeof(tempstr));
 
   snprintf(tempbuf, sizeof(tempbuf), "$n buys %s.", tempstr);
   act(tempbuf, FALSE, ch, obj, 0, TO_ROOM);
 
+  if (OBJ_FLAGGED(obj, ITEM_QUEST))
+    snprintf(tempbuf, sizeof(tempbuf), "%s That has cost you %d quest points.", GET_NAME(ch), goldamt);
+  else
   snprintf(tempbuf, sizeof(tempbuf), shop_index[shop_nr].message_buy, GET_NAME(ch), goldamt);
+
   do_tell(keeper, tempbuf, cmd_tell, 0);
 
   send_to_char(ch, "You now have %s.\r\n", tempstr);
@@ -581,12 +633,6 @@ void shopping_buy(char *arg, struct char
   do_tell(keeper, tempbuf, cmd_tell, 0);
 
   send_to_char(ch, "You now have %s.\r\n", tempstr);
-
-  if (SHOP_USES_BANK(shop_nr))
-    if (GET_GOLD(keeper) > MAX_OUTSIDE_BANK) {
-      SHOP_BANK(shop_nr) += (GET_GOLD(keeper) - MAX_OUTSIDE_BANK);
-      GET_GOLD(keeper) = MAX_OUTSIDE_BANK;
-    }
 }
 
 struct obj_data *get_selling_obj(struct char_data *ch, char *name, struct char_data *keeper, int shop_nr, int msg)
@@ -817,7 +863,7 @@ char *list_object(struct obj_data *obj, 
   }
   CAP(itemname);
 
-  snprintf(result, sizeof(result), " %2d)  %9s   %-*s %6d\r\n", aindex, quantity, count_color_chars(itemname)+48, itemname, buy_price(obj, shop_nr, keeper, ch));
+  snprintf(result, sizeof(result), " %2d)  %9s   %-*s %6d%s\r\n", aindex, quantity, count_color_chars(itemname)+48, itemname, buy_price(obj, shop_nr, keeper, ch), OBJ_FLAGGED(obj, ITEM_QUEST) ? " qp" : "");
 
   return (result);
 }
@@ -826,9 +872,10 @@ void shopping_list(char *arg, struct cha
 {
   char buf[MAX_STRING_LENGTH], name[MAX_INPUT_LENGTH];
   struct obj_data *obj, *last_obj = NULL;
-  int cnt = 0, lindex = 0, found = FALSE;
+  int cnt = 0, lindex = 0, found = FALSE, has_quest = FALSE;
   size_t len;
   /* cnt is the number of that particular object available */
+  /* has_quest indicates if the shopkeeper sells quest items */
 
   if (!is_ok(keeper, ch, shop_nr))
     return;
@@ -839,7 +886,7 @@ void shopping_list(char *arg, struct cha
   one_argument(arg, name);
 
   len = strlcpy(buf,   " ##   Available   Item                                               Cost\r\n"
-		"-------------------------------------------------------------------------\r\n", sizeof(buf));
+		"----------------------------------------------------------------------------\r\n", sizeof(buf));
   if (keeper->carrying)
     for (obj = keeper->carrying; obj; obj = obj->next_content)
       if (CAN_SEE_OBJ(ch, obj) && GET_OBJ_COST(obj) > 0) {
@@ -856,6 +903,8 @@ void shopping_list(char *arg, struct cha
             if (len + 1 >= sizeof(buf))
               break;
             found = TRUE;
+            if (OBJ_FLAGGED(last_obj, ITEM_QUEST))
+              has_quest = TRUE;
           }
 	  cnt = 1;
 	  last_obj = obj;
@@ -871,6 +920,8 @@ void shopping_list(char *arg, struct cha
       if (len < sizeof(buf))
         strncat(buf, list_object(last_obj, cnt, lindex, shop_nr, keeper, ch), sizeof(buf) - len - 1);	/* strncat: OK */
     page_string(ch->desc, buf, TRUE);
+    if (has_quest)
+      send_to_char(ch, "Items flagged \"qp\" require quest points to purchase.\r\n");
   }
 }
 
@@ -1279,8 +1330,8 @@ void list_all_shops(struct char_data *ch
 void list_detailed_shop(struct char_data *ch, int shop_nr)
 {
   struct char_data *k;
-  int sindex, column;
-  char *ptrsave;
+  int sindex, column, flag = 1, found = 0;
+//char *ptrsave;
 
   send_to_char(ch, "Vnum:       [%5d], Rnum: [%5d]\r\n", SHOP_NUM(shop_nr), shop_nr + 1);
 
@@ -1327,7 +1378,33 @@ void list_detailed_shop(struct char_data
   } else
     send_to_char(ch, "<NONE>\r\n");
 
-  send_to_char(ch, "Customers:  %s\r\n", (ptrsave = customer_string(shop_nr, TRUE)) ? ptrsave : "None");
+//  send_to_char(ch, "Customers:  %s\r\n", (ptrsave = customer_string(shop_nr, TRUE)) ? ptrsave : "None");
+  send_to_char(ch, "Customers:  ");
+  column = 12;  /* ^^^ strlen ^^^ */
+  for (sindex = 0; *trade_letters[sindex] != '\n'; sindex++) {
+    char buf1[128];
+    int linelen;
+
+    if (!IS_SET(flag, SHOP_TRADE_WITH(shop_nr))){
+      if (sindex) {
+        send_to_char(ch, ", ");
+        column += 2;
+      }
+      linelen = snprintf(buf1, sizeof(buf1), "%s", trade_letters[sindex]);
+      /* Implementing word-wrapping: assumes screen-size == 80 */
+      if (linelen + column >= 78 && column >= 20) {
+        send_to_char(ch, "\r\n            ");
+        column = 12;
+      }
+
+      if (!send_to_char(ch, "%s", buf1))
+        return;
+      column += linelen;
+      found = TRUE;
+    }
+    flag <<= 1; /* next flag */
+  }
+  send_to_char(ch, "%s\r\n", found ? "" : "Nobody!");
 
   send_to_char(ch, "Produces:   ");
   column = 12;	/* ^^^ strlen ^^^ */
diff -BbuprN tbamud-3.55/src/structs.h tbamud-3.55+quests/src/structs.h
--- tbamud-3.55/src/structs.h	2008-01-16 23:21:16.000000000 +0000
+++ tbamud-3.55+quests/src/structs.h	2008-01-31 11:13:03.741297000 +0000
@@ -265,6 +265,7 @@
 #define CON_AEDIT        25     /* OLC mode - social (action) edit      */
 #define CON_TRIGEDIT     26	/* OLC mode - trigger edit              */
 #define CON_HEDIT        27
+#define CON_QEDIT        28     /* OLC mode - quest edit                */
 
 /* Character equipment positions: used as index for char_data.equipment[] */
 /* NOTE: Don't confuse these constants with the ITEM_ bitvectors
@@ -351,6 +352,7 @@
 #define ITEM_ANTI_THIEF	      14   /* Not usable by thieves */
 #define ITEM_ANTI_WARRIOR     15   /* Not usable by warriors */
 #define ITEM_NOSELL           16   /* Shopkeepers won't touch it */
+#define ITEM_QUEST            17 /* Item is a quest item         */
 
 /* Modifier constants used with obj affects ('A' fields) */
 #define APPLY_NONE              0	/* No effect			*/
@@ -500,6 +502,7 @@
 #define MAX_LAST_ENTRIES        6000  /* arbitrary */
 #define MAX_HELP_KEYWORDS       256
 #define MAX_HELP_ENTRY          MAX_STRING_LENGTH
+#define MAX_COMPLETED_QUESTS    1024
 
 /* define the largest set of commands for a trigger */
 #define MAX_CMD_LENGTH 16384         /* 16k should be plenty and then some */
@@ -524,6 +527,7 @@ typedef IDXTYPE mob_vnum;
 typedef IDXTYPE zone_vnum;
 typedef IDXTYPE shop_vnum;
 typedef IDXTYPE trig_vnum;
+typedef IDXTYPE qst_vnum;
 
 /* Various real (array-reference) number types. */
 typedef IDXTYPE room_rnum;
@@ -532,6 +536,7 @@ typedef IDXTYPE mob_rnum;
 typedef IDXTYPE zone_rnum;
 typedef IDXTYPE shop_rnum;
 typedef IDXTYPE trig_rnum;
+typedef IDXTYPE qst_rnum;
 
 /* Bitvector type for 32 bit unsigned long bitvectors. 'unsigned long long' 
  * will give you at least 64 bits if you have GCC. You'll have to search 
@@ -775,6 +780,11 @@ struct player_special_data_saved {
    int spells_to_learn;         /* How many spells you can learn */
    int olc_zone;                /* A players olc access */
    int questpoints;             /* A players questpoints earned */
+   qst_vnum *completed_quests;           /* Quests completed              */
+   int    num_completed_quests;          /* Number completed              */
+   int    current_quest;                 /* vnum of current quest         */
+   int    quest_time;                    /* time left on current quest    */
+   int    quest_counter;                 /* Count of targets left to get  */
 };
 
 /* Specials needed only by PCs, not NPCs.  Space for this structure is
diff -BbuprN tbamud-3.55/src/utils.h tbamud-3.55+quests/src/utils.h
--- tbamud-3.55/src/utils.h	2008-01-16 23:21:14.000000000 +0000
+++ tbamud-3.55+quests/src/utils.h	2008-01-31 11:16:50.631922000 +0000
@@ -316,7 +316,13 @@ void char_from_furniture(struct char_dat
 #define GET_HOST(ch)		CHECK_PLAYER_SPECIAL((ch), ((ch)->player_specials->host))
 #define GET_HISTORY(ch, i)      CHECK_PLAYER_SPECIAL((ch), ((ch)->player_specials->saved.comm_hist[i]))
 #define GET_PAGE_LENGTH(ch)     CHECK_PLAYER_SPECIAL((ch), ((ch)->player_specials->saved.page_length))
+/* Autoquests data */
 #define GET_QUESTPOINTS(ch)     CHECK_PLAYER_SPECIAL((ch), ((ch)->player_specials->saved.questpoints))
+#define GET_QUEST(ch)           CHECK_PLAYER_SPECIAL((ch), ((ch)->player_specials->saved.current_quest))
+#define GET_QUEST_COUNTER(ch)   CHECK_PLAYER_SPECIAL((ch), ((ch)->player_specials->saved.quest_counter))
+#define GET_QUEST_TIME(ch)      CHECK_PLAYER_SPECIAL((ch), ((ch)->player_specials->saved.quest_time))
+#define GET_NUM_QUESTS(ch)      CHECK_PLAYER_SPECIAL((ch), ((ch)->player_specials->saved.num_completed_quests))
+#define GET_QUEST_TYPE(ch)      (real_quest(GET_QUEST((ch))) != NOTHING ? aquest_table[real_quest(GET_QUEST((ch)))].type : AQ_UNDEFINED )
 
 #define GET_SKILL(ch, i)	CHECK_PLAYER_SPECIAL((ch), ((ch)->player_specials->saved.skills[i]))
 #define SET_SKILL(ch, i, pct)	do { CHECK_PLAYER_SPECIAL((ch), (ch)->player_specials->saved.skills[i]) = pct; } while(0)
diff -BbuprN tbamud-3.55/src/zedit.c tbamud-3.55+quests/src/zedit.c
--- tbamud-3.55/src/zedit.c	2008-01-16 23:21:16.000000000 +0000
+++ tbamud-3.55+quests/src/zedit.c	2008-01-31 11:17:40.069422000 +0000
@@ -263,6 +263,7 @@ void zedit_new_zone(struct char_data *ch
       case CON_SEDIT:
       case CON_OEDIT:
       case CON_TRIGEDIT:
+      case CON_QEDIT:
         OLC_ZNUM(dsc) += (OLC_ZNUM(dsc) >= result);
         break;
       default:
